Ошибка в sape.php Function set_magic_quotes_runtime() is deprecated in file

Ошибка в sape.php Function set_magic_quotes_runtime() is deprecated in file

Такая ошибка происходит, когда у вас на хостинге перестает работать Php версии 5.2. В моем случае, например я перешел на тариф хостинга It-patrol для Drupal 7. И в этом тарифе как раз отсутствует поддержка php 5.2. А вместо него все работает на версии php 5.3.

Как исправить ошибку типа:
Unknown: Function set_magic_quotes_runtime() is deprecated in file /xoops_lib/***/sape.php line 221
Unknown: Function set_magic_quotes_runtime() is deprecated in file /xoops_lib/***/sape.php line 227

Нужно зайти в файл sape.php который лежит у вас на хостинге в папке Сапы и поменять там 2 раза строчку:
set_magic_quotes_runtime(0)
на:
ini_set('magic_quotes_runtime', 0)


Это решит проблему.

тэги: